Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.lucene40
Class Lucene40SegmentInfoWriter

    java.lang.Object
      org.apache.lucene.codecs.SegmentInfoWriter
          org.apache.lucene.codecs.lucene40.Lucene40SegmentInfoWriter

    public class Lucene40SegmentInfoWriter

extends SegmentInfoWriter

Lucene 4.0 implementation of `SegmentInfoWriter`.

See Also:
  `Lucene40SegmentInfoFormat`
WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`Lucene40SegmentInfoWriter()` Sole constructor.

Method Summary
`void` | `write(Directory dir, SegmentInfo si, FieldInfos fis, IOContext ioContext)` Save a single segment's info.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lucene40SegmentInfoWriter

    public Lucene40SegmentInfoWriter()

  Sole constructor.

Method Detail

### write

    public void write(Directory dir,
                      SegmentInfo si,
                      FieldInfos fis,
                      IOContext ioContext)
               throws IOException

  Save a single segment's info.

  Specified by:
    `write` in class `SegmentInfoWriter`
  Throws:
    `IOException` - If an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.